Get Recovery Steps User Prompt
User prompts are configurable callouts which are triggered during a recovery operation.
User prompts must be dismissed by the client in order the recovery operation to continue.
The ID of a pairing between this Site Recovery Manager server and remote one.
The ID of a recovery plan defined within current pairing.
The ID of a user prompt waiting for a clint acknowledgment.
User prompt waiting for an acknowledgment
{
"id": "string",
"raised_time": 0,
"description": "string",
"callout_id": "string",
"prompt_text": "string",
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/recovery-management/plans/{plan_id}/recovery-steps/user-prompts/{prompt_id}